MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025102Community[OCCT] OCCT:Modeling Algorithmspublic2014-07-24 14:142016-12-09 16:38
ReporterHayashi 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0025102: A part of intersection cannot be found
DescriptionA part of intersection of Shell and Face of an attached file cannot be found.
Steps To Reproducepload ALL
restore shell.brep shell
restore face.brep face
bsection r shell face
explode r
TagsNo tags attached.
Test case numberbugs modalg_6 bug25102
Attached Fileszip file icon shellface.zip (25,743 bytes) 2014-07-24 14:14
? file icon shell2.brep (447,176 bytes) 2014-10-16 04:23
png file icon shellResult.png (80,132 bytes) 2015-12-28 09:27
png file icon shell2Result.png (82,276 bytes) 2015-12-28 09:27

- Relationships

-  Notes
(0033177)
Hayashi (reporter)
2014-10-16 04:24

An attached file(shell2.brep) is added.

Steps To Reproduce:
pload ALL
restore shell2.brep s
plane p 29.434 0 0 1 0 0 0 1 0
mkface f p
bsection r s f
(0040266)
Hayashi (reporter)
2015-04-27 12:11

OCCT 6.9.0 beta also same result.
(0049619)
Hayashi (reporter)
2015-12-28 09:26

OCCT 6.9.1 also same result.
In OCCT 7.0.0 beta result looks correct.
I attach a picture. shellResult.png and shell2Result.png.

Explode resulting in shell.BREP are as follows:
:6.9.1
Draw[5]> explode r
r_1 r_2 r_3 r_4 r_5 r_6 r_7 r_8 r_9 r_10 r_11 r_12 r_13 r_14 r_15 r_16 r_17 r_18
 r_19 r_20 r_21 r_22 r_23 r_24 r_25 r_26 r_27 r_28 r_29 r_30 r_31 r_32 r_33 r_34
 r_35 r_36 r_37 r_38 r_39 r_40 r_41 r_42
:7.0.0 beta
Draw[5]> explode r
r_1 r_2 r_3 r_4 r_5 r_6 r_7 r_8 r_9 r_10 r_11 r_12 r_13 r_14 r_15 r_16 r_17 r_18
 r_19 r_20 r_21 r_22 r_23 r_24 r_25 r_26 r_27 r_28 r_29 r_30 r_31 r_32 r_33 r_34
 r_35 r_36 r_37 r_38 r_39 r_40 r_41 r_42 r_43 r_44
(0057558)
git (administrator)
2016-09-07 13:27

Branch CR25102 has been created by inv.

SHA-1: 11edce681c422c6fbfd62b106b04fd6342e0c685


Detailed log of new commits:

Author: bugmaster
Date: Wed Sep 7 13:28:59 2016 +0300

    0025102: A part of intersection cannot be found
    
    Adding testing case
(0057559)
bugmaster (administrator)
2016-09-07 13:28

Problem is not reproduced on current status of master.
Test case was added.
(0059541)
git (administrator)
2016-10-28 21:48

Branch CR25102 has been deleted by kgv.

SHA-1: 11edce681c422c6fbfd62b106b04fd6342e0c685

- Related Changesets
occt: master 7f3bf449
Timestamp: 2016-09-07 10:28:59
Author: bugmaster
Details ] Diff ]
0025102: A part of intersection cannot be found

Adding testing case
add - tests/bugs/modalg_6/bug25102 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-07-24 14:14 Hayashi New Issue
2014-07-24 14:14 Hayashi Assigned To => ifv
2014-07-24 14:14 Hayashi File Added: shellface.zip
2014-09-11 19:08 abv Target Version => 7.1.0
2014-10-16 04:23 Hayashi File Added: shell2.brep
2014-10-16 04:24 Hayashi Note Added: 0033177
2015-04-27 12:11 Hayashi Note Added: 0040266
2015-12-28 09:26 Hayashi Note Added: 0049619
2015-12-28 09:27 Hayashi File Added: shellResult.png
2015-12-28 09:27 Hayashi File Added: shell2Result.png
2016-09-07 13:27 git Note Added: 0057558
2016-09-07 13:27 bugmaster Assigned To ifv => msv
2016-09-07 13:27 bugmaster Status new => resolved
2016-09-07 13:27 bugmaster Assigned To msv => bugmaster
2016-09-07 13:27 bugmaster Status resolved => reviewed
2016-09-07 13:28 bugmaster Note Added: 0057559
2016-09-07 13:28 bugmaster Status reviewed => tested
2016-09-07 15:11 bugmaster Test case number => bugs modalg_6 bug25102
2016-09-09 09:40 bugmaster Changeset attached => occt master 7f3bf449
2016-09-09 09:40 bugmaster Status tested => verified
2016-09-09 09:40 bugmaster Resolution open => fixed
2016-10-28 21:48 git Note Added: 0059541
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker